Name: t-coffee
Vendor: Callident
Group: Applications/Scientific
Packager: gotero
Version: 2.66
Release: 1
Summary: Multiple Sequence Alignment Combination
Source: t-coffee-%{version}.tar.gz
License: free
URL: http://igs-server.cnrs-mrs.fr/~cnotred/Projects_home_page/t_coffee_home_page.html
BuildRoot: /var/tmp/%{name}-buildroot
Requires: clustalw

%description
T-Coffee is a multiple sequence alignment program. Multiple sequence 
alignment programs are meant to align a set of sequences previously 
gathered using other programs such as blast, fasta, sw ...
The main characteristic of T-Coffee is that it will allow you to combine 
results obtained with several alignment methods. For instance if you have 
an alignment coming from ClustalW, an other alignment coming from Dialign, 
and a structural alignment of some of your sequences, T-Coffee will combine 
all that information and produce a new multiple sequence having the best 
agreement with all these methods.
By default, T-Coffee will compare all your sequences two by two, producing 
a global alignment and a series of local alignments (using lalign). The 
program will then combine all these alignments into a multiple alignment. 

%prep
%setup -n t-coffee-%{version}

%build
cd t_coffee_source
make -i CC=gcc USER_BIN=../bin/ all
cd ..

%install
mkdir -p $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}

cp license.txt $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}
cp -r bin $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}
cp -r doc $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}
cp -r example $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}
cp -r t_coffee_source $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}
cp -r html $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}

%files
/opt/BioBrew

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Oct 4 2005 gotero <gotero@linuxprophet.com>
- initial spec file
